# Upload attachment

Through this endpoint, attachments can be added to registrations. The required attachments for each registration can be retrieved from the get policy endpoint.

Endpoint: POST /v1/projects/{projectId}/registrations/{registrationId}/attachments/{attachmentId}
Version: 1.0.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: write

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

  - `registrationId` (string, required)
    Registration id requested

  - `attachmentId` (string, required)
    Attachment definition id requested

## Request body:

  - `multipart/form-data` (unknown)
    File content body

## Response 200:

  - `200` (unknown)
    Document uploaded successfully

## Response 400:

  - `400` (unknown)
    Registration status is not valid for including attachments

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)

## Response 404:

  - `404` (unknown)
    registration/document not found

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)

## Response 413:

  - `413` (unknown)
    Document is too large to upload

## Response 413 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)

